---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: app
spec:
  egress:
  - toEndpoints:
    - {}
  - toEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: kube-system
        k8s-app: kube-dns
    toPorts:
    - ports:
      - port: '53'
        protocol: UDP
      rules:
        dns:
        - matchPattern: '*'
  - toCIDRSet:
    - cidr: 0.0.0.0/0
      except:
      - 10.0.0.0/8
      - 172.16.0.0/12
      - 192.168.0.0/16
      - 100.64.0.0/10
      - 169.254.0.0/16
      - 255.255.255.255/32
    - cidr: 2000::/3
  - toCIDRSet:
    - cidr: 10.0.0.0/8
    - cidr: 192.168.0.0/16
    - cidr: 100.64.0.0/10
    - cidr: fc00::/7
    - cidr: fe80::/10
  - toPorts:
    - ports:
      - port: '28332'
        protocol: TCP
      - port: '28333'
        protocol: TCP
      - port: '28334'
        protocol: TCP
      - port: '28335'
        protocol: TCP
    toServices:
    - k8sService:
        namespace: admin-bitcoin-citadel
        serviceName: bitcoin
  - toPorts:
    - ports:
      - port: '8332'
        protocol: TCP
    toServices:
    - k8sService:
        namespace: admin-bitcoin-citadel
        serviceName: gateway
  - toPorts:
    - ports:
      - port: '8080'
        protocol: TCP
      - port: '10009'
        protocol: TCP
    toServices:
    - k8sService:
        namespace: admin-lnd
        serviceName: main
  - toPorts:
    - ports:
      - port: '9050'
        protocol: TCP
    toServices:
    - k8sService:
        namespace: tor
        serviceName: proxy
  - toEndpoints:
    - matchLabels:
        uses-compat-layer: citadel
  - toEndpoints:
    - matchLabels:
        container: bitcoin
        io.kubernetes.pod.namespace: admin-bitcoin-citadel
    toPorts:
    - ports:
      - port: '28332'
        protocol: TCP
      - port: '28333'
        protocol: TCP
      - port: '28334'
        protocol: TCP
      - port: '28335'
        protocol: TCP
  - toEndpoints:
    - matchLabels:
        container: gateway
        io.kubernetes.pod.namespace: admin-bitcoin-citadel
    toPorts:
    - ports:
      - port: '8332'
        protocol: TCP
  - toEndpoints:
    - matchLabels:
        container: main
        io.kubernetes.pod.namespace: admin-lnd
    toPorts:
    - ports:
      - port: '8080'
        protocol: TCP
      - port: '10009'
        protocol: TCP
  - toEndpoints:
    - matchLabels:
        container: proxy
        io.kubernetes.pod.namespace: tor
    toPorts:
    - ports:
      - port: '9050'
        protocol: TCP
  endpointSelector:
    matchLabels:
      use-fallback-network-policy: 'true'
  ingress:
  - fromEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: kube-system
    - matchLabels:
        io.kubernetes.pod.namespace: nirvati
  - fromEntities:
    - kube-apiserver
    - health
  - fromEndpoints:
    - {}
  - fromEntities:
    - world
  - fromEndpoints:
    - matchLabels:
        uses-compat-layer: citadel

---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: admin-agora-bitcoin
  namespace: admin-bitcoin-citadel
spec:
  endpointSelector:
    matchLabels:
      container: bitcoin
  ingress:
  - fromEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: admin-agora
    toPorts:
    - ports:
      - port: '28332'
        protocol: TCP
      - port: '28333'
        protocol: TCP
      - port: '28334'
        protocol: TCP
      - port: '28335'
        protocol: TCP

---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: admin-agora-gateway
  namespace: admin-bitcoin-citadel
spec:
  endpointSelector:
    matchLabels:
      container: gateway
  ingress:
  - fromEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: admin-agora
    toPorts:
    - ports:
      - port: '8332'
        protocol: TCP

---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: admin-agora-main
  namespace: admin-lnd
spec:
  endpointSelector:
    matchLabels:
      container: main
  ingress:
  - fromEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: admin-agora
    toPorts:
    - ports:
      - port: '8080'
        protocol: TCP
      - port: '10009'
        protocol: TCP

---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: admin-agora-proxy
  namespace: tor
spec:
  endpointSelector:
    matchLabels:
      container: proxy
  ingress:
  - fromEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: admin-agora
    toPorts:
    - ports:
      - port: '9050'
        protocol: TCP

